SystemConfigForm (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.admin.config.SystemConfigForm class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.admin.config
Class SystemConfigForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.apache.struts.validator.ValidatorForm
              org.hyperic.hq.ui.action.BaseValidatorForm
                  org.hyperic.hq.ui.action.admin.config.SystemConfigForm

All Implemented Interfaces:
  java.io.Serializable

    public class SystemConfigForm

extends BaseValidatorForm

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.validator.ValidatorForm
`page, validatorResults`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`SystemConfigForm()`

Method Summary
`java.lang.String` | `getAlertPurge()`
`java.lang.String` | `getAlertPurgeVal()`
`java.lang.String` | `getArcURL()`
`java.lang.String` | `getBaseUrl()`
`java.lang.String` | `getDeleteUnits()`
`java.lang.String` | `getDeleteUnitsVal()`
`java.lang.String` | `getElPurgeVal()`
`java.lang.String` | `getHelpPassword()`
`java.lang.String` | `getHelpUserId()`
`java.lang.String` | `getMaintInterval()`
`java.lang.String` | `getMaintIntervalVal()`
`boolean` | `getReindex()`
`java.lang.String` | `getSenderEmail()`
`int` | `getUpdateMode()`
`boolean` | `isAlertNotificationsAllowed()`
`boolean` | `isAlertsAllowed()`
`boolean` | `isExternDocs()`
`void` | `loadConfigProperties(java.util.Properties prop)`
`void` | `reset(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)`
`java.util.Properties` | `saveConfigProperties(java.util.Properties prop)`
`void` | `setAlertNotificationsAllowed(boolean alertNotificationsAllowed)`
`void` | `setAlertPurge(java.lang.String s)`
`void` | `setAlertPurgeVal(java.lang.String v)`
`void` | `setAlertsAllowed(boolean alertsAllowed)`
`void` | `setArcURL(java.lang.String arcURL)`
`void` | `setBaseUrl(java.lang.String string)`
`void` | `setDeleteUnits(java.lang.String s)`
`void` | `setDeleteUnitsVal(java.lang.String v)`
`void` | `setElPurgeVal(java.lang.String elPurgeVal)`
`void` | `setExternDocs(boolean externDocs)`
`void` | `setHelpPassword(java.lang.String string)`
`void` | `setHelpUserId(java.lang.String string)`
`void` | `setMaintInterval(java.lang.String s)`
`void` | `setMaintIntervalVal(java.lang.String v)`
`void` | `setReindex(boolean reindex)`
`void` | `setSenderEmail(java.lang.String string)`
`void` | `setUpdateMode(int updateMode)`
`java.lang.String` | `toString()`
`org.apache.struts.action.ActionErrors` | `validate(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)` Only validate if 1) the form's ok or okassign button was clicked and 2) the mapping specifies an input form to return to.

Methods inherited from class org.hyperic.hq.ui.action.BaseValidatorForm
`getAdd, getCancel, getCreate, getDelete, getEnable, getOk, getOkassign, getPn, getPs, getRemove, getReset, getUserset, isAddClicked, isCancelClicked, isCreateClicked, isDeleteClicked, isEnableClicked, isOkAssignClicked, isOkClicked, isRemoveClicked, isResetClicked, isUsersetClicked, setAdd, setCancel, setCreate, setDelete, setEnable, setOk, setOkassign, setPn, setPs, setRemove, setReset, setUserset, shouldValidate`

Methods inherited from class org.apache.struts.validator.ValidatorForm
`getPage, getResultValueMap, getValidationKey, getValidatorResults, setPage, setValidatorResults`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SystemConfigForm

    public SystemConfigForm()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `BaseValidatorForm`

### reset

    public void reset(org.apache.struts.action.ActionMapping mapping,
                      javax.servlet.http.HttpServletRequest request)

  Overrides:
    `reset` in class `BaseValidatorForm`

### loadConfigProperties

    public void loadConfigProperties(java.util.Properties prop)

### saveConfigProperties

    public java.util.Properties saveConfigProperties(java.util.Properties prop)

### getHelpPassword

    public java.lang.String getHelpPassword()

### getHelpUserId

    public java.lang.String getHelpUserId()

### setHelpPassword

    public void setHelpPassword(java.lang.String string)

### setHelpUserId

    public void setHelpUserId(java.lang.String string)

### getDeleteUnitsVal

    public java.lang.String getDeleteUnitsVal()

### setDeleteUnitsVal

    public void setDeleteUnitsVal(java.lang.String v)

### getDeleteUnits

    public java.lang.String getDeleteUnits()

### setDeleteUnits

    public void setDeleteUnits(java.lang.String s)

### getMaintIntervalVal

    public java.lang.String getMaintIntervalVal()

### setMaintIntervalVal

    public void setMaintIntervalVal(java.lang.String v)

### getMaintInterval

    public java.lang.String getMaintInterval()

### setMaintInterval

    public void setMaintInterval(java.lang.String s)

### getAlertPurgeVal

    public java.lang.String getAlertPurgeVal()

### setAlertPurgeVal

    public void setAlertPurgeVal(java.lang.String v)

### getAlertPurge

    public java.lang.String getAlertPurge()

### setAlertPurge

    public void setAlertPurge(java.lang.String s)

### getBaseUrl

    public java.lang.String getBaseUrl()

### getSenderEmail

    public java.lang.String getSenderEmail()

### setBaseUrl

    public void setBaseUrl(java.lang.String string)

### getArcURL

    public java.lang.String getArcURL()

### setArcURL

    public void setArcURL(java.lang.String arcURL)

### setSenderEmail

    public void setSenderEmail(java.lang.String string)

### getReindex

    public boolean getReindex()

### setReindex

    public void setReindex(boolean reindex)

### getElPurgeVal

    public java.lang.String getElPurgeVal()

### setElPurgeVal

    public void setElPurgeVal(java.lang.String elPurgeVal)

### getUpdateMode

    public int getUpdateMode()

### setUpdateMode

    public void setUpdateMode(int updateMode)

### isExternDocs

    public boolean isExternDocs()

### setExternDocs

    public void setExternDocs(boolean externDocs)

### isAlertsAllowed

    public boolean isAlertsAllowed()

### setAlertsAllowed

    public void setAlertsAllowed(boolean alertsAllowed)

### isAlertNotificationsAllowed

    public boolean isAlertNotificationsAllowed()

### setAlertNotificationsAllowed

    public void setAlertNotificationsAllowed(boolean alertNotificationsAllowed)

### validate

    public org.apache.struts.action.ActionErrors validate(org.apache.struts.action.ActionMapping mapping,
                                                          javax.servlet.http.HttpServletRequest request)

  Description copied from class: `BaseValidatorForm`
  Only validate if 1) the form's ok or okassign button was clicked and 2) the mapping specifies an input form to return to. condition #2 can be false when a form has failed validation and has forwarded to the input page; the ok button request parameter will still be userset, but the prepare action for the input page will not have (another) input page specified.

  Overrides:
    `validate` in class `BaseValidatorForm`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.